cascading.util

## Class Murmur3

- java.lang.Object
- - cascading.util.Murmur3

-     public class Murmur3
      extends java.lang.Object

  Murmur3 is a fast non cryptographic hash algorithm. This class implements the 32bit version of Murmur 3.

  The code has been taken from the guava project: https://github.com/google/guava/blob/v18.0/guava/src/com/google/common/hash/Murmur3_32HashFunction.java

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SEED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Murmur3()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `fmix(int h1, int length)`
    `static int` | `hashInt(int input)` Applies murmur3 to the given input.
    `static int` | `mixH1(int h1, int k1)`
    `static int` | `mixK1(int k1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SEED

          public static final int SEED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Murmur3

          public Murmur3()

  - ### Method Detail

    - #### hashInt

          public static int hashInt(int input)

      Applies murmur3 to the given input.
      Parameters:
        `input` - The int to hash.
      Returns:
        a murmur3 hash.

    - #### mixK1

          public static int mixK1(int k1)

    - #### mixH1

          public static int mixH1(int h1,
                  int k1)

    - #### fmix

          public static int fmix(int h1,
                 int length)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.